edu.sc.seis.sod.subsetter.eventStation

## Class PhaseWithoutInterference

- java.lang.Object
- - edu.sc.seis.sod.subsetter.eventStation.PhaseExists
  - - edu.sc.seis.sod.subsetter.eventStation.PhaseWithoutInterference

- All Implemented Interfaces:
    SodElement, EventStationSubsetter, Subsetter

      public class PhaseWithoutInterference
      extends PhaseExists
      implements EventStationSubsetter

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.eventStation.PhaseExists

      `modelName, phaseName, tauPTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhaseWithoutInterference(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.StationImpl station, CookieJar cookieJar)`
    `protected java.util.List<java.util.List<edu.sc.seis.TauP.Arrival>>` | `calcArrivals(double depth, double degrees)` calcs arrivals.

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.eventStation.PhaseExists

      `getRequiredArrival`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhaseWithoutInterference

          public PhaseWithoutInterference(org.w3c.dom.Element config)
                                   throws ConfigurationException,
                                          edu.sc.seis.TauP.TauModelException

      Throws:
        `ConfigurationException`
        `edu.sc.seis.TauP.TauModelException`

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.network.StationImpl station,
                                   CookieJar cookieJar)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `EventStationSubsetter`
      Overrides:
        `accept` in class `PhaseExists`
      Throws:
        `java.lang.Exception`

    - #### calcArrivals

          protected java.util.List<java.util.List<edu.sc.seis.TauP.Arrival>> calcArrivals(double depth,
                                                                                          double degrees)
                                                                                   throws edu.sc.seis.TauP.TauModelException

      calcs arrivals.
      Throws:
        `edu.sc.seis.TauP.TauModelException`